Request an access token

OAuth endpoint to exchange your access key ID and access key secret for an access token.

Body
application/json
Responses
  • application/json
  • 406

    Not Acceptable

  • 415

    Unsupported Media Type

  • application/json
  • 429

    Too Many Requests

Request Example for post/issuing/access/connect/token
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/access/connect/token' \
  --request POST \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'client_id=ack_clckqmmnyfiupexjew7shh5ahe' \
  --data-urlencode 'client_secret=Pmg36sDWQ9WxtPR3' \
  --data-urlencode 'cardholder_id=crh_d3ozhf43pcq2xbldn2g45qnb44' \
  --data-urlencode 'single_use=true'
{
  "access_token": "2YotnFZFEjr1zCsicMWpAA",
  "token_type": "example",
  "expires_in": 3600,
  "scope": "issuing:card-management-write issuing:card-management-read"
}